implement Sum1;

# sum1 <file
# uses buffered input

include "sys.m";
	sys: Sys;
include "draw.m";

Sum1: module
{
	init:	fn(ctxt: ref Draw->Context, argv: list of string);
};

include "bufio.m";
	bufmod: Bufio;
Iobuf:	import bufmod;
	iob:	ref Iobuf;

init(nil: ref Draw->Context, nil: list of string)
{
	sys = load Sys Sys->PATH;
	bufmod = load Bufio Bufio->PATH;
	if (bufmod == nil) {
		sys->print("bufmod load: %r\n");
		exit;
	}

	stdin := sys->fildes(0);
	iob = bufmod->fopen(stdin, bufmod->OREAD);
	if (iob == nil) {
		sys->print("iob open: %r\n");
		exit;
	}

	OUT: con 0;
	IN: con 1;
t0 := sys->millisec();

	sum := 0.0;
	for (;;) {
		line := iob.gets('\n');
		if (line == nil)
			break;
		sum += real line;
	}
t1 := sys->millisec();
	sys->print("%f    %d\n", sum, t1-t0);
}
