proc start {} {
	frame .f 
	button .f.go -text "Go" -command timeit
	button .f.quit -text "Quit" -command "destroy .; exit"
	text .t -height 24 -width 60
	entry .f.n -textvariable n
	label .f.tim -text "time" -width 15

	pack append .f .f.go {left} .f.n {left} .f.tim {left} \
		.f.quit {left}
	pack append . .f {top fillx} .t {top fill expand}
}

proc fill {} {
	global n
	.t delete 1.0 end
	for {set i 0} {$i < $n} {incr i} {
		.t insert end "$i\n"
		.t see end
		update
	}
	update
}

proc timeit {} {
	global n
	set tm [time fill]
	puts "$tm $n"
	.t insert end $tm
	.f.tim configure \
		-text [format "%.2f" [expr [lindex $tm 0]/1000000.0]]
}

start
